Name:           perl-Test-DiagINC
Version:        0.008
Release:        1%{?dist}
Summary:        List modules and versions loaded if tests fail
License:        Apache Software License
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-DiagINC/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Test-DiagINC-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(B)
BuildRequires:  perl(Capture::Tiny) >= 0.21
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
Requires:       perl(B)
Requires:       perl(Cwd)
Requires:       perl(File::Spec)
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Assuming you shipped your module to CPAN with working tests, test failures
from CPAN Testers might be due to platform issues, Perl version issues or
problems with dependencies. This module helps you diagnose deep dependency
problems by showing you exactly what modules and versions were loaded
during a test run.

%prep
%setup -q -n Test-DiagINC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING.mkdn cpanfile dist.ini LICENSE META.json perlcritic.rc README tidyall.ini
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Dec 15 2020 Michael Stauber <mstauber@blueonyx.it> 0.008-1
- Specfile autogenerated by cpanspec 1.78.
